#ifndef cMaze_H
#define cMaze_H

#include <windows.h>
#include "cArray2D.h"

class cMaze : public cArray2D<BOOL>{
protected:
	void GenerateTree(int y, int x);
	void GenerateLooseTree(int y, int x, int Rate);

public:
	cMaze();
	virtual ~cMaze();

	BOOL Generate(int y, int x);
	BOOL GenerateLoose(int y, int x, int Rate);


};

#endif
